#!/bin/sh

YMPD=/usr/bin
PLUGIN=/opt/plugins

systemctl stop ympd.socket
systemctl stop ympd.service

cp ympd $YMPD

cp webui.cfg.org /etc

cp vsound-setup.sh /usr/local/bin
cp ympd-plus.sh /usr/bin
chmod 755 /usr/local/bin/vsound-setup.sh
chmod 755 /usr/bin/ympd-plus.sh

mkdir $PLGIN/06-no_image
cp 04-webui/form.html $PLUGIN/04-webui/
cp 05-stats/form.html $PLUGIN/05-stats/
cp 06-no_image/* $PLUGIN/06-no_image/
chmod 755 $PLUGIN/06-no_image/run.sh
cp 11-update_library/form.html $PLUGIN/11-update_library/
cp 12-save_queue/form.html $PLUGIN/12-save_queue/
cp 13-add_stream/form.html $PLUGIN/13-add_stream/
cp 14-upload/form.html $PLUGIN/14-upload/
cp 15-lastfm/form.html $PLUGIN/15-lastfm/
cp 20-color/form.html $PLUGIN/20-color/
cp 20-color/dark.css $PLUGIN/20-color/
cp 82-aoe/form.html $PLUGIN/82-aoe/
chmod 755 $PLUGIN/82-aoe/run.sh
cp 90-plugins/form.html $PLUGIN/90-plugins/

#cp ssl.pem /var/lib/mpd/music

sync

#systemctl stop ympd.socket
#systemctl stop ympd.service

sleep 1

systemctl start ympd.socket
systemctl start ympd.service

